/*
                           V3D HeightField IO
 */

#ifndef V3DHF_H
#define V3DHF_H

#include <sys/types.h>

#define V3D_HF_OPT_COUNTER_CLOCKWISE	(1 << 1)


extern int V3DHFLoadFromFile(
	const char *path,	/* Heightfield image file. */
	double x_len, double y_len, double z_len,	/* Size in meters. */
        int *width_rtn, int *height_rtn,	/* Num grids (pixels). */
	double *x_spacing_rtn,	/* Each grid (pixel) is this many meters. */
	double *y_spacing_rtn,
	u_int8_t **data_rtn,	/* Dynamically allocated z points
				 * can be NULL.
				 */
	void *gl_list,		/* GL list (can be NULL). */
	u_int32_t options	/* Any of V3D_HF_OPT_*. */
);

#endif	/* V3DHF_H */
